## mysql-workbench 6.0.7+dfsg1

=== debian/changelog ===
mysql-workbench (6.0.7+dfsg1-1) unstable; urgency=low

  * Upload to unstable.
  * Dropped non-DFSG compliant help files, see "README.Debian".
    + added "mysql-workbench-help" source package template and
      instructions how to manually build binary help package.
  * "debian/watch": monitor GPL-compliant -nodocs-src tars.
  * Added "doclib.patch" to force "doclib" module installation.
  * get-orig-source: remove help files from upstream tarball.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 14 Sep 2013 03:59:41 +1000

mysql-workbench (6.0.7+dfsg-1) experimental; urgency=low

  * New upstream release [September 2013].
  * Removed obsolete "libboost1.53-dev" from Build-Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 10 Sep 2013 00:00:55 +1000

mysql-workbench (6.0.6+dfsg-1) experimental; urgency=low

  * New upstream release [August 2013]
    https://dev.mysql.com/doc/relnotes/workbench/en/wb-news-6-0-2.html
    https://dev.mysql.com/doc/relnotes/workbench/en/wb-news-6-0-3.html
    https://dev.mysql.com/doc/relnotes/workbench/en/wb-news-6-0-4.html
    https://dev.mysql.com/doc/relnotes/workbench/en/wb-news-6-0-5.html
    https://dev.mysql.com/doc/relnotes/workbench/en/wb-news-6-0-6.html
  * Packaging changes to accommodate switch of upstream build system to
    cmake; minor improvements.
  * Removed symlink to "libmysqlcppconn".
  * Removed "unbundle_*" and "launcher" patches (no longer needed).
  * New "fix-install.patch" to fix trivial FTBFS.
  * Build-Depends:
    - dh-autoreconf
    + cmake
    + autoconf
    + automake
    + libtool
    + libvsqlitepp-dev (NEW, used to be bundled with mysql-workbench)
  * Reference implementation of get-orig-source and better clean-up.
  * Updated/corrected man page and introduced target for semi-automated
    invocation of `help2man`.
  * Updated orig.tar name in "debian/watch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 25 Aug 2013 06:32:04 +1000

mysql-workbench (5.2.47+dfsg-3) unstable; urgency=low

  * Removed obsolete "libboost1.53-dev" from Build-Depends
    (Closes: #721503).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 02 Sep 2013 00:28:27 +1000

mysql-workbench (5.2.47+dfsg-2) unstable; urgency=low

  * Use `readlink` to find libmysqlcppconn library (Closes: #711687).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 09 Jun 2013 04:46:02 +1000
