=== plugins/CMakeLists.txt ===
add_subdirectory(db.mysql)
add_subdirectory(db.mysql.diff.reporting)
add_subdirectory(db.mysql.editors)
add_subdirectory(db.search)
add_subdirectory(migration)
add_subdirectory(wb.admin)
add_subdirectory(wb.bugreport)
add_subdirectory(wb.doclib)
add_subdirectory(wb.model.editors)
add_subdirectory(wb.model.snippets)
add_subdirectory(wb.printing)
add_subdirectory(wb.query.analysis)
add_subdirectory(wb.sqlide)
