=== images/cursors/CMakeLists.txt ===
set(IMAGE_FILES 
    hand.cur
    image.cur
    layer.cur
    magnify_region.cur
    note.cur
    rel11.cur
    rel1n.cur
    relnm.cur
    routine.cur
    rubber.cur
    table.cur
    view.cur
    zoom_in.cur
    zoom_out.cur
)

install(FILES ${IMAGE_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/images)
