=== images/grt/CMakeLists.txt ===
set(IMAGE_FILES 
    grt_dict.png
    grt_function.png
    grt_list.png
    grt_module.png
    grt_object.png
    grt_simple_type.png
    grt_struct.png
    structs/GrtObject.16x16.png
    structs/GrtObject.24x24.png
    structs/GrtObject.32x32.png
    structs/GrtObject.48x48.png
    structs/GrtObject.add.16x16.png
    structs/GrtObject.add.24x24.png
    structs/GrtObject.add.32x32.png
    structs/GrtObject.add.48x48.png
    structs/GrtObject.many_32x32.png
    structs/GrtStoredNote.48x48.png
    structs/GrtStoredNote.add.48x48.png
    structs/db.Column.11x11.png
    structs/db.Column.16x16.png
    structs/db.Column.fk.11x11.png
    structs/db.Column.fk.16x16.png
    structs/db.Column.fk.side.16x16.png
    structs/db.Column.fknn.11x11.png
    structs/db.Column.fknn.16x16.png
    structs/db.Column.many.side.16x16.png
    structs/db.Column.nn.11x11.png
    structs/db.Column.nn.16x16.png
    structs/db.Column.pk.11x11.png
    structs/db.Column.pk.16x16.png
    structs/db.Column.pk.side.16x16.png
    structs/db.Column.pkai.11x11.png
    structs/db.Column.pkai.16x16.png
    structs/db.Column.side.16x16.png
    structs/db.DatatypeGroup.blob.16x16.png
    structs/db.DatatypeGroup.datetime.16x16.png
    structs/db.DatatypeGroup.geo.16x16.png
    structs/db.DatatypeGroup.numeric.16x16.png
    structs/db.DatatypeGroup.text.16x16.png
    structs/db.DatatypeGroup.userdefined.16x16.png
    structs/db.ForeignKey.many.side.16x16.png
    structs/db.ForeignKey.side.16x16.png
    structs/db.Index.many.side.16x16.png
    structs/db.Index.side.16x16.png
    structs/db.Role.16x16.png
    structs/db.Role.48x48.png
    structs/db.Role.add.16x16.png
    structs/db.Role.add.48x48.png
    structs/db.Role.editor.48x48.png
    structs/db.Routine.16x16.png
    structs/db.Routine.24x24.png
    structs/db.Routine.48x48.png
    structs/db.Routine.64x64.png
    structs/db.Routine.add.16x16.png
    structs/db.Routine.add.48x48.png
    structs/db.Routine.editor.48x48.png
    structs/db.Routine.many.16x16.png
    structs/db.Routine.many.32x32.png
    structs/db.Routine.many.side.16x16.png
    structs/db.Routine.side.16x16.png
    structs/db.RoutineGroup.16x16.png
    structs/db.RoutineGroup.48x48.png
    structs/db.RoutineGroup.add.16x16.png
    structs/db.RoutineGroup.add.48x48.png
    structs/db.Schema.16x16.png
    structs/db.Schema.24x24.png
    structs/db.Schema.32x32.png
    structs/db.Schema.add.32x32.png
    structs/db.Schema.editor.48x48.png
    structs/db.Schema.many.16x16.png
    structs/db.Schema.many.32x32.png
    structs/db.Schema.selected.32x32.png
    structs/db.Schema.unloaded.side.16x16.png
    structs/db.Schema.loading.side.16x16.png
    structs/db.Schema.side.16x16.png
    structs/db.Script.48x48.png
    structs/db.Script.add.48x48.png
    structs/db.Table.16x16.png
    structs/db.Table.24x24.png
    structs/db.Table.48x48.png
    structs/db.Table.add.16x16.png
    structs/db.Table.add.48x48.png
    structs/db.Table.editor.48x48.png
    structs/db.Table.editor.24x24.png
    structs/db.Table.many.16x16.png
    structs/db.Table.many.32x32.png
    structs/db.Table.many.side.16x16.png
    structs/db.Table.side.16x16.png
    structs/db.Trigger.many.side.16x16.png
    structs/db.Trigger.side.16x16.png
    structs/db.ForeignKey.16x16.png
    structs/db.Index.16x16.png
    structs/db.Trigger.16x16.png
    structs/db.User.16x16.png
    structs/db.User.48x48.png
    structs/db.User.add.16x16.png
    structs/db.User.add.48x48.png
    structs/db.User.editor.48x48.png
    structs/db.View.16x16.png
    structs/db.View.24x24.png
    structs/db.View.48x48.png
    structs/db.View.64x64.png
    structs/db.View.add.16x16.png
    structs/db.View.add.48x48.png
    structs/db.View.broken.side.16x16.png
    structs/db.View.editor.48x48.png
    structs/db.View.many.16x16.png
    structs/db.View.many.32x32.png
    structs/db.View.many.side.16x16.png
    structs/db.View.side.16x16.png
    structs/db.mgmt.Connection.16x16.png
    structs/db.mgmt.Connection.32x32.png
    structs/db.mgmt.Connection.48x48.png
    structs/db.mgmt.Connection.add.16x16.png
    structs/db.mgmt.Connection.add.48x48.png
    structs/db.mgmt.Connection.manage.48x48.png
    structs/db.mgmt.ServerInstance.48x48.png
    structs/db.mgmt.ServerInstance.manage.48x48.png
    structs/workbench.Document.16x16.png
    structs/workbench.Document.32x32.png
    structs/workbench.Document.48x48.png
    structs/workbench.logical.Diagram.16x16.png
    structs/workbench.logical.Diagram.48x48.png
    structs/workbench.logical.Diagram.add.48x48.png
    structs/workbench.logical.Model.16x16.png
    structs/workbench.logical.Model.48x48.png
    structs/workbench.model.ImageFigure.16x16.png
    structs/workbench.model.NoteFigure.16x16.png
    structs/workbench.physical.Diagram.16x16.png
    structs/workbench.physical.Diagram.48x48.png
    structs/workbench.physical.Diagram.add.16x16.png
    structs/workbench.physical.Diagram.add.48x48.png
    structs/workbench.physical.Layer.16x16.png
    structs/workbench.physical.Layer.24x24.png
    structs/workbench.physical.Layer.many.16x16.png
    structs/workbench.physical.Model.16x16.png
    structs/workbench.physical.Model.48x48.png
    structs/workbench.physical.RoutineGroupFigure.16x16.png
    structs/workbench.physical.TableFigure.16x16.png
    structs/workbench.physical.ViewFigure.16x16.png
    structs/workbench.physical.db2.Model.48x48.png
    structs/workbench.physical.mssql.Model.48x48.png
    structs/workbench.physical.mysql.Model.16x16.png
    structs/workbench.physical.mysql.Model.48x48.png
    structs/workbench.physical.oracle.Model.48x48.png
    structs/workbench.physical.sqlite.Model.48x48.png
    structs/workbench.physical.sybase.Model.48x48.png
)

install(FILES ${IMAGE_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/images)
