=== images/sql/CMakeLists.txt ===

set(IMAGE_FILES 
    ./auto-completion-column.png
    ./auto-completion-function.png
    ./auto-completion-keyword.png
    ./auto-completion-operator.png
    ./auto-completion-routine.png
    ./auto-completion-schema.png
    ./auto-completion-table.png
    ./auto-completion-view.png
    ./auto-completion-engine.png
    ./qe_main-tb-icon_add-routine.png
    ./qe_main-tb-icon_add-function.png
    ./qe_main-tb-icon_add-schema.png
    ./qe_main-tb-icon_add-sql-editor.png
    ./qe_main-tb-icon_add-table.png
    ./qe_main-tb-icon_add-view.png
    ./qe_main-tb-icon_execute-sql-file.png
    ./qe_main-tb-icon_open-sql-file.png
    ./qe_main-tb-icon_refresh-conn.png
    ./qe_main-tb-icon_schema-inspector.png
    ./qe_main-tb-icon_table-inspector.png
    ./qe_main-tb-sep.png
    ./qe_main-tb-icon_preferences.png
    ./qe_main-tb-icon_search_db.png
    ./qe_resultset-tb-switcher_form_off.png
    ./qe_resultset-tb-switcher_form_on.png
    ./qe_resultset-tb-switcher_grid_off.png
    ./qe_resultset-tb-switcher_grid_on.png
    ./qe_resultset-tb-switcher_sql_off.png
    ./qe_resultset-tb-switcher_sql_on.png
    ./qe_sql-editor-tb-icon_autocommit-off.png
    ./qe_sql-editor-tb-icon_autocommit-on.png
    ./qe_sql-editor-tb-icon_beautifier_current.png
    ./qe_sql-editor-tb-icon_beautifier.png
    ./qe_sql-editor-tb-icon_commit.png
    ./qe_sql-editor-tb-icon_execute-current.png
    ./qe_sql-editor-tb-icon_execute.png
    ./qe_sql-editor-tb-icon_explain.png
    ./qe_sql-editor-tb-icon_find.png
    ./qe_sql-editor-tb-icon_open.png
    ./qe_sql-editor-tb-icon_rollback.png
    ./qe_sql-editor-tb-icon_save.png
    ./qe_sql-editor-tb-icon_special-chars-off.png
    ./qe_sql-editor-tb-icon_special-chars-on.png
    ./qe_sql-editor-tb-icon_word-wrap-off.png
    ./qe_sql-editor-tb-icon_word-wrap-on.png
    ./qe_sql-editor-tb-icon_stop-on-error-off.png
    ./qe_sql-editor-tb-icon_stop-on-error-on.png
    ./qe_sql-editor-tb-icon_stop.png
    ./qe_sql-editor-tb-icon_row-limit-off.png
    ./qe_sql-editor-tb-icon_row-limit-1k-on.png
    ./qe_sql-editor-tb-icon_row-limit-on.png
    ./snippet_css.png
    ./snippet_htm.png
    ./snippet_lua.png
    ./snippet_mwb.png
    ./snippet_php.png
    ./snippet_py.png
    ./snippet_sql.png
    ./wb-sidebar-collapse.png
    ./wb-sidebar-expand.png
)

install(FILES ${IMAGE_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/images)
