=== debian/mysql-workbench-help/debian/changelog ===
mysql-workbench-help (6.0.8+repack-1) unstable; urgency=low

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 08 Nov 2013 21:03:31 +1100
