=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
  ,unixodbc-dev
  ,uuid-dev
  ,xdg-utils
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://dev.mysql.com/workbench/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mysql-workbench.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/mysql-workbench.git
