=== debian/mysql-workbench-help/debian/control ===
Source: mysql-workbench-help
Section: non-free/database
Priority: extra
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9), sqlite3
Standards-Version: 3.9.4
Homepage: http://dev.mysql.com/workbench/

Package: mysql-workbench-help
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, mysql-workbench (>= ${uver})
Enhances: mysql-workbench
Suggests: vrms
Description: MySQL Workbench - help files
 MySQL Workbench is a modeling tool that allow to design
 and generate MySQL databases graphically. It also has administration
 and query development modules where you can manage MySQL server instances
 and execute SQL queries.
 .
 This package provides architecture independent help files
